#include "X3D_Box.h"

namespace X3DTK {
namespace X3D {

Box::Box()
:X3DGeometryNode()
{
  define(Recorder<Box>::getTypeName("Box", "Geometry3D"));
  
  define(Recorder<Box, SFVec3f>::getAttribute("size", &Box::_size, SFVec3f(2.0f, 2.0f, 2.0f)));
}

Box::~Box()
{
}

void Box::setSize(const SFVec3f &size)
{
  _size = size;
}

}
}
