#include "X3D_Switch.h"

#include <iostream>

using namespace std;

namespace X3DTK {
namespace X3D {

Switch::Switch()
: X3DGroupingNode(), X3DBoundedObject()
{
  define(Recorder<Switch>::getTypeName("Switch", "Grouping"));
  
  define(Recorder<Switch, SFInt32>::getAttribute("whichChoice", &Switch::_whichChoice, -1));
}

Switch::~Switch()
{
}

void Switch::setWhichChoice(const SFInt32 &whichChoice)
{
  _whichChoice = whichChoice;
}

}
}
