#include "X3D_ScalarInterpolator.h"

#include <iostream>

using namespace std;

namespace X3DTK {
namespace X3D {

ScalarInterpolator::ScalarInterpolator()
: X3DInterpolatorNode()
{
  define(Recorder<ScalarInterpolator>::getTypeName("ScalarInterpolator", "Interpolation"));
  
  define(Recorder<ScalarInterpolator, MFFloat>::getAttribute("keyValue", &ScalarInterpolator::_keyValue, MFFloat()));
}

ScalarInterpolator::~ScalarInterpolator()
{
}

void ScalarInterpolator::setKeyValue(const MFFloat &keyValue)
{
  _keyValue = keyValue;
}

}
}
