#include "X3D_X3DTextureTransform2DNode.h"

#include <iostream>

using namespace std;

namespace X3DTK {
namespace X3D {

X3DTextureTransform2DNode::X3DTextureTransform2DNode()
: X3DTextureTransformNode(), _center(SFVec2f(0.0f, 0.0f)), _rotation(0.0f), _scale(SFVec2f(1.0f, 1.0f)), _translation(SFVec2f(0.0f, 0.0f))
{
  define(Recorder<X3DTextureTransform2DNode>::getTypeName("X3DTextureTransform2DNode", "Texturing"));
  
  define(Recorder<X3DTextureTransform2DNode, SFVec2f>::getAttribute("center", &X3DTextureTransform2DNode::_center, SFVec2f(0.0f, 0.0f)));
  define(Recorder<X3DTextureTransform2DNode, SFFloat>::getAttribute("rotation", &X3DTextureTransform2DNode::_rotation, 0.0f));
  define(Recorder<X3DTextureTransform2DNode, SFVec2f>::getAttribute("scale", &X3DTextureTransform2DNode::_scale, SFVec2f(1.0f, 1.0f)));
  define(Recorder<X3DTextureTransform2DNode, SFVec2f>::getAttribute("translation", &X3DTextureTransform2DNode::_translation, SFVec2f(0.0f, 0.0f)));
}

X3DTextureTransform2DNode::~X3DTextureTransform2DNode()
{
}

void X3DTextureTransform2DNode::setCenter(const SFVec2f &center)
{
  _center = center;
}

void X3DTextureTransform2DNode::setRotation(const SFFloat &rotation)
{
  _rotation = rotation;
}

void X3DTextureTransform2DNode::setScale(const SFVec2f &scale)
{
  _scale = scale;
}

void X3DTextureTransform2DNode::setTranslation(const SFVec2f &translation)
{
  _translation = translation;
}

}
}
